### Method

# GIRepository InterfaceInfo get_n_prerequisites

since: 2.80

#### Declaration

    unsigned int
    gi_interface_info_get_n_prerequisites (
      GIInterfaceInfo* info
    )

#### Description

Obtain the number of prerequisites for this interface type.

A prerequisite is another interface that needs to be implemented for interface, similar to a base class for `GObject`s.

Available since: 2.80

#### Return value

Type: `unsigned int`

Number of prerequisites.